package com.composition.android.ad.gromore.load.util

import com.bytedance.msdk.api.v2.GMMediationAdSdk
import com.bytedance.msdk.api.v2.GMSettingConfigCallback
import kotlinx.coroutines.suspendCancellableCoroutine
import kotlin.coroutines.resume

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/15
 * description:
 */
object GMSettingConfig {


    fun loadAdConfig(callBack: () -> Unit) {
        if (GMMediationAdSdk.configLoadSuccess()) {
            callBack.invoke()
        } else {
            GMMediationAdSdk.registerConfigCallback {
                callBack.invoke()
            }
        }
    }


}